Bug 139293 - rhythmbox hangs persistently
rhythmbox hangs persistently
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-14 18:50 EST by Carles Cufi
Modified: 2013-03-13 00:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-29 10:13:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carles Cufi 2004-11-14 18:50:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Rhythmbox hangs (will not quit easily without forcing, and screen is
not refreshed) at least in this 2 cases:

- Click on a .pls (mp3 stream) radio station from a web page, then
select Music Player as the associated application to load the file.
Then rhythmbox will come up, read the stream correctly, display the
name of the song and radio station, buffer the stream, and then hang
without actually outputting any sound.

- Import Folder and then click on a folder with my .mp3 files. Again,
it hangs and no songs are displayed in the window.

I have gstreamer-plugins version 0.8.5-1.



Version-Release number of selected component (if applicable):
0.8.8-1

How reproducible:
Always

Steps to Reproduce:
1. Click on a .pls link for an mp3 streaming radio station from a website.
2. Click OK on pop-up window to open the .pls file with rhythmbox

    

Actual Results:  Rhytmbox comes up, loads the radio station name and
song name, buffers the stream and then hangs without outputting any sound.

Expected Results:  The mp3 stream should have been played correctly

Additional info:

I have this bug only since I moved to Fedora Core 3. On the same
machine, using Fedora Core 2 everything worked fine and I could tune
in to any radio station.

Soundcard module: snd-intel8x0

Other apps work perfectly with sound (xine, gnome, gaim...)
Comment 1 Michal Jaegermann 2004-12-13 00:35:49 EST
I believe that this is the same bug I just encountered on x86_86
installation with no additional plugins loaded.

I tried to add to rhythmbox this stream
http://audio.ibiblio.org:8010/wcpe.ogg
which plays without any troubles when passed to ogg123.
When asked to play that rhythmbox says for a while "buffering"
and after that it goes into a catatonic state where it is even
unable to refresh its display.  Stracing it reveals that it
actually loops very quickly in the following way:
.....
futex(0xa7d590, FUTEX_WAKE, 1)          = 0
clock_gettime(CLOCK_REALTIME, {1102914087, 397332000}) = 0
futex(0xa80664, FUTEX_WAIT, 100591, {0, 963000}) = -1 ETIMEDOUT
(Connection timed out)
futex(0xa7d590, FUTEX_WAKE, 1)          = 0
clock_gettime(CLOCK_REALTIME, {1102914087, 400024000}) = 0
futex(0xa80664, FUTEX_WAIT, 100593, {0, 968000}) = -1 ETIMEDOUT
(Connection timed out)
futex(0xa7d590, FUTEX_WAKE, 1)          = 0
clock_gettime(CLOCK_REALTIME, {1102914087, 403064000}) = 0
futex(0xa80664, FUTEX_WAIT, 100595, {0, 964000}) = -1 ETIMEDOUT
(Connection timed out)
futex(0xa7d590, FUTEX_WAKE, 1)          = 0
.....
and it does not make an impression that it is ever going to stop.
Comment 2 Jeremy Akers 2004-12-29 13:42:50 EST
I'm having very similiar problems.  When I try to play any files in
Rhythmbox, the application locks up and must be killed.

Sound card: VIA Technologies, Inc. VT8233/A/8235/8237 AC97 

Packages:
[root@server ~]# rpm -qa | grep mp3:
gstreamer-plugins-mp3-0.8.5-0.lvn.2.3
xmms-mp3-1.2.10-0.lvn.2.3

Other important packages:
[root@server ~]# rpm -qa | grep gstreamer
gstreamer-plugins-mp3-0.8.5-0.lvn.2.3
gstreamer-plugins-0.8.5-1
gstreamer-plugins-devel-0.8.5-1
gstreamer-0.8.7-4.FC3.0
gstreamer-devel-0.8.7-4.FC3.0
gstreamer-tools-0.8.7-4.FC3.0

[root@server ~]# rpm -qa | grep rhythmbox
rhythmbox-0.8.8-1

strace reveals:
futex(0x826e728, FUTEX_WAKE, 1)         = 0
clock_gettime(CLOCK_REALTIME, {1104345130, 765921000}) = 0
futex(0x832c25c, FUTEX_WAIT, 5869, {0, 480000}) = -1 ETIMEDOUT
(Connection timed out)
gettimeofday({1104345130, 768419}, NULL) = 0
futex(0x826e728, FUTEX_WAKE, 1)         = 0
clock_gettime(CLOCK_REALTIME, {1104345130, 768938000}) = 0
futex(0x832c25c, FUTEX_WAIT, 5871, {0, 481000}) = -1 ETIMEDOUT
(Connection timed out)
gettimeofday({1104345130, 771529}, NULL) = 0
futex(0x826e728, FUTEX_WAKE, 1)         = 0
clock_gettime(CLOCK_REALTIME, {1104345130, 772070000}) = 0
futex(0x832c25c, FUTEX_WAIT, 5873, {0, 459000}) = -1 ETIMEDOUT
(Connection timed out)
gettimeofday({1104345130, 775845}, NULL) = 0
futex(0x826e728, FUTEX_WAKE, 1)         = 0
clock_gettime(CLOCK_REALTIME, {1104345130, 776420000}) = 0
futex(0x832c25c, FUTEX_WAIT, 5875, {0, 425000}) = -1 ETIMEDOUT
(Connection timed out)
gettimeofday({1104345130, 778527}, NULL) = 0
futex(0x826e728, FUTEX_WAKE, 1)         = 0
clock_gettime(CLOCK_REALTIME, {1104345130, 779068000}) = 0
futex(0x832c25c, FUTEX_WAIT, 5877, {0, 459000}) = -1 ETIMEDOUT
(Connection timed out)
gettimeofday({1104345130, 782838}, NULL) = 0
futex(0x826e728, FUTEX_WAKE, 1)         = 0
clock_gettime(CLOCK_REALTIME, {1104345130, 783950000}) = 0
.....

Looks like the same strace as what Michal Jaegermann posted.
Comment 3 Jeremy Akers 2004-12-29 23:11:03 EST
Ok, I've tried this on another machine.  (Athlon 1Ghz laptop), and
instead of hanging, rhythmbox just crashes.  Here's the tail end of
the strace from that one:

ioctl(19, 0xc25c4110, 0xfef036f0)       = 0
--- SIGFPE (Floating point exception) @ 0 (0) ---
write(3, "\22\0\t\0004\0`\2 \1\0\0\37\1\0\0\10\3\5\0\f\0\0\0Musi"...,
152) = 152
write(3, " \0\2\0\0\0\0\0", 8)          = 8
write(3, "+\0\1\0", 4)                  = 4
read(3, "\34\5|\0274\0`\2 \1\0\0:\214x\0\0\0`\2\f\0\0\0\250\5\353"...,
32) = 32
read(3, "\34\5}\0274\0`\2\'\0\0\0:\214x\0\0\0\0\0:\214x\0\250\5"...,
32) = 32
read(3,
"\34\5~\0274\0`\2!\1\0\0:\214x\0\0\0\0\0:\214x\0\250\5\353"..., 32) = 32
read(3, "\34\5\177\0274\0`\2%\0\0\0:\214x\0\0\0\0\0:\214x\0\250"...,
32) = 32
read(3,
"\1\2\202\27\0\0\0\0005\0`\2\0\0\0\0\1\0\0\0\31\0\0\0P\263"..., 32) = 32
clone(child_stack=0,
flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0xf6fdd928) = 7897
waitpid(7897, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0) = 7897
--- SIGCHLD (Child exited) @ 0 (0) ---
sigreturn()                             = ? (mask now [FPE])
exit_group(1)                           = ?
Comment 4 Jeremy Akers 2004-12-29 23:18:58 EST
Actually scratch that.  On the second machine (The laptop)  Rhythmbox
was crashing because ALSA was selected.  (I thought that was supposed
to be fixed in 0.8?  This is 0.8.8-1).  Changing it to OSS fixes it. 
However, changing my original machine to OSS does -not- fix it.

-Jeremy
Comment 5 Jeremy Akers 2004-12-29 23:46:33 EST
FIXED:
The latest version of Rhythmbox and Gstreamer are not in the standard
repositories.  Add these to yum.conf, do:

yum update rhythmbox gstreamer gstreamer-plugins

#

[dag]
name=Dag APT Repository
baseurl=http://dag.freshrpms.net/fedora/$releasever/en/$basearch/dag/
  http://dag.atrpms.net/fedora/$releasever/en/$basearch/dag/
 
http://ftp.heanet.ie/pub/freshrpms/pub/dag/fedora/$releasever/en/$basearch/dag/


[gstreamer-deps]
name=Fedora Core $releasever - $basearch - GStreamer dependencies
baseurl=http://gstreamer.freedesktop.org/pkg/fedora/$releasever/$basearch/yum/deps

[gstreamer]
name=Fedora Core $releasever - $basearch - GStreamer
baseurl=http://gstreamer.freedesktop.org/pkg/fedora/$releasever/$basearch/yum/gst

Comment 6 Brian Fahrlander 2004-12-30 08:14:02 EST
I was using Dags, but stopped using Gstreamer a while ago- wasn't
doing any good.  But I added the above repos verbatum, and it *DID*
solve the 'can't import' problem, but it still can't play
http://abcrad.sc.llnwd.net:12015/listen.pls...it just ramps up the CPU
usage and stays there until I hit stop or give it the big "X".

As to SmoothJazz.com's feed, it does even less than that- just sits
there AS IF the cpu was pegged, and gets nowhere.  Sorry, dude, but
you DID fix part of it, and for that, I'm thankful!
Comment 7 Colin Walters 2005-01-03 15:26:07 EST
I just uploaded gstreamer-0.8.8 to rawhide.  A newer gstreamer-plugins
is coming soon.  

After that I'll do an FC3 update.
Comment 8 Aaron VanDevender 2005-02-08 09:57:15 EST
Colin,

Are you still planning on doing that FC3 update to gstreamer-plugins?
The plugins have been up to 0.8.7 for a while now, and gstreamer is up
to 0.8.9 as of today, so we are behind 2 releases on both counts.
Comment 9 Stephan Borg 2005-03-23 16:12:45 EST
I've been bitten by this bug too - is there any fixes in the pipeline from the
FC3 repositories?
Comment 10 John Thacker 2006-04-29 10:13:53 EDT
FC3 is now the responsibility of Fedora Legacy.  It doesn't seem to be
a security issue, so it's unlikely that they'll release an update.
FC4 and FC5 both have more recent versions of gstreamer and gstreamer-plugins.
Closing, since the updates to gstreamer and gstreamer-plugins seem to have
fixed this.

Note You need to log in before you can comment on or make changes to this bug.